#### 7.10.4.3 lpVarBlockSize

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  lpVarBlockSize(R); R a letterplace ring

Return:
  int

Purpose:
  returns the variable block size of the letterplace ring, that is the number of variables of the original ring.

Example:

    LIB "freegb.lib";
    ring r = 0,(x,y,z),dp;
    ring R = freeAlgebra(r, 7);
    lpVarBlockSize(R);
    ==> 3

User manual for Singular version 4.4.1, 2025, generated by texi2html.